from Products.PopupCalendarWidget import PopupCalendarWidget as ats 
from Products.Archetypes import public as atapi

BaseSchemaCopy = atapi.BaseSchema.copy()
schema = BaseSchemaCopy + atapi.Schema((
    atapi.DateTimeField(
                'calendarWidgetDemo',
                required = True,
                widget = ats.PopupCalendarWidget(
                    label = 'Demo Field',
                    description = """<p>Enter a date or select from the calendar. 
                                     You can type in a date in any format DateTime understands. 
                                     The date will be formatted by default like the localLongTimeFormat in site_properties.</p>
                                     <p><b>Examples:</b></p>
                                     December 25, 2005 12:00<br />
                                     12/25/05 12:00<br />
                                     12-25-2005 12:00<br /><br />
                                   """,
                ),
          ),
))

class PopupCalendarType(atapi.BaseContent):
      """
      A Simple type to test popup calendar widget
      """
      schema=schema
      global_allow=0
      archetype_name = portal_type = meta_type = "Popup Calendar Widget Demo"
          
atapi.registerType(PopupCalendarType)
